import { useRequest } from '@umijs/max';
import { query } from '@/services/user';

export default () => {
  const { data, loading, run } = useRequest(query, {
    manual: true,
    cacheKey: 'queryUserList',
  });

  return { userList: data?.list, loading, run };
};
